curl -X GET https://api.swervpay.co/api/v1/collections/{id}/transactions \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.collection.transactions('<COLLECTION_ID>')
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->collection()->transactions('<COLLECTION_ID>');
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Collection.Transactions(ctx, "<COLLECTION_ID>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
[
{
"amount": 123,
"charges": 123,
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"id": "<string>",
"payment_method": "<string>",
"reference": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Collections
Get Collection Transactions
List all collection transactions
GET
/
collections
/
{id}
/
transactions
curl -X GET https://api.swervpay.co/api/v1/collections/{id}/transactions \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.collection.transactions('<COLLECTION_ID>')
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->collection()->transactions('<COLLECTION_ID>');
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Collection.Transactions(ctx, "<COLLECTION_ID>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
[
{
"amount": 123,
"charges": 123,
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"id": "<string>",
"payment_method": "<string>",
"reference": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}curl -X GET https://api.swervpay.co/api/v1/collections/{id}/transactions \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.collection.transactions('<COLLECTION_ID>')
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->collection()->transactions('<COLLECTION_ID>');
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Collection.Transactions(ctx, "<COLLECTION_ID>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I